> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yourflexpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create payment request



## OpenAPI

````yaml /openapi/sso.openapi.json post /sso/request
openapi: 3.0.3
info:
  title: Wallet SSO API
  version: 1.0.0
  description: OpenAPI specification for the Wallet service API.
servers:
  - url: https://staging-api.yourflexpay.com/v2
    description: Staging
  - url: https://sandbox-api.yourflexpay.com/v2
    description: Sandbox
  - url: https://api.yourflexpay.com/v2
    description: Live
security:
  - PartnerIdHeader: []
    PartnerApiKeyHeader: []
tags:
  - name: SSO Auth
  - name: SSO Wallet
  - name: SSO Transaction
  - name: SSO Payment Request
  - name: SSO PayTag
  - name: SSO QR
  - name: SSO Beneficiary
paths:
  /sso/request:
    post:
      tags:
        - SSO Payment Request
      summary: Create payment request
      requestBody:
        required: true
        content:
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/PaymentRequestDto'
                - type: object
                  required:
                    - payer
                  properties:
                    payer:
                      type: string
      responses:
        '200':
          description: Payment request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentRequest'
      security:
        - ClientIdHeader: []
          ApiKeyHeader: []
          BearerAuth: []
components:
  schemas:
    PaymentRequestDto:
      allOf:
        - $ref: '#/components/schemas/TransactionDto'
        - type: object
          properties:
            duration:
              type: number
            hostId:
              type: number
            payerHostId:
              type: number
    PaymentRequest:
      type: object
      additionalProperties: true
    TransactionDto:
      type: object
      required:
        - amount
      properties:
        amount:
          type: number
          maximum: 999999999
        comment:
          type: string
          maxLength: 250
        reference:
          type: string
          maxLength: 100
        currency:
          type: string
        metadata:
          type: object
          additionalProperties: true
  securitySchemes:
    ClientIdHeader:
      type: apiKey
      in: header
      name: x-client-id
    ApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````